<?php

namespace WPEP\Admin\Coordinator\PlatformHealth;

use WPEP\Controller as WPEP_Controller;
use WPEP\Settings as WPEP_Settings;

class CleanupUtilities extends Skeleton {

  public $dangerZone;
  public $generalMaintenance;

  public function get_name() {
    return __( "Cleanup Utilities", "wpep" );
  }

  public function get_alias() {
    return 'cleanup-utilities';
  }

  public function __construct() {
    $this->dangerZone         = new CleanupUtilities\DangerZone();
    $this->generalMaintenance = new CleanupUtilities\GeneralMaintenance();
  }

  public function display() {
    echo '<br/>';

    $operation              = ( isset( $_GET[ 'operation' ] )       ? $_GET[ 'operation' ]       : false );
    $operation_confirmation = ( isset( $_POST[ 'wpep-operation' ] ) ? $_POST[ 'wpep-operation' ] : false );

    if( current_user_can( 'manage_options' ) )
      $this->dangerZone->process( $operation, $operation_confirmation );

    $this->generalMaintenance->process( $operation, $operation_confirmation );

    echo '<div class="wpep-system-report">';

    $this->generalMaintenance->display();

    if( current_user_can( 'manage_options' ) )
      $this->dangerZone->display();

    echo '</div>';
  }

}