<?php

namespace WPEP\Admin\Coordinator\PlatformHealth\CleanupUtilities;

use WPEP\Controller as WPEP_Controller;
use WPEP\Settings as WPEP_Settings;

class DangerZone {

  public function display() {
    $button_td_atts = 'class="wpep-row-button-container"';

    echo '<table class="wp-list-table widefat striped wpep-cleanup-utilities-table wpep-cleanup-utilities-table-right">';
    echo    '<thead>';
    echo      '<tr>';
    echo        '<th>' . __( "Platform Reset - Danger Zone", "wpep" ) . '</th>';
    echo        '<th></th>';
    echo      '</tr>';
    echo    '</thead>';
    echo    '<tbody>';
    echo    '<tr class="wpep-row-highlight wpep-row-highlight-danger-hover">';
    echo      '<td class="wpep-row-highlight-icon wpep-row-highlight-icon-remove">' . __( "Remove All Courses & Assessments") . '</td>';
    echo      '<td ' . $button_td_atts . '><a class="button button-primary" href="' . wpep_admin_url_platform_health( [ 'tab' => 'cleanup-utilities', 'operation' => 'remove-all-courses' ]  ) . '">' . __( "Remove", "wpep" ) . '</a></td>';
    echo    '</tr>';
    echo    '<tr class="wpep-row-highlight wpep-row-highlight-danger-hover">';
    echo      '<td class="wpep-row-highlight-icon wpep-row-highlight-icon-remove">' . __( "Remove All Categories") . '</td>';
    echo      '<td ' . $button_td_atts . '><a class="button button-primary" href="' . wpep_admin_url_platform_health( [ 'tab' => 'cleanup-utilities', 'operation' => 'remove-all-categories' ]  ) . '">' . __( "Remove", "wpep" ) . '</a></td>';
    echo    '</tr>';
    echo    '<tr class="wpep-row-highlight wpep-row-highlight-danger-hover">';
    echo      '<td class="wpep-row-highlight-icon wpep-row-highlight-icon-remove">' . __( "Remove All E-Books") . '</td>';
    echo      '<td ' . $button_td_atts . '><a class="button button-primary" href="' . wpep_admin_url_platform_health( [ 'tab' => 'cleanup-utilities', 'operation' => 'remove-all-ebooks' ]  ) . '">' . __( "Remove", "wpep" ) . '</a></td>';
    echo    '</tr>';
    echo    '<tr class="wpep-row-highlight wpep-row-highlight-danger-hover">';
    echo      '<td class="wpep-row-highlight-icon wpep-row-highlight-icon-remove">' . __( "Remove All Videos") . '</td>';
    echo      '<td ' . $button_td_atts . '><a class="button button-primary" href="' . wpep_admin_url_statistics( [ 'tab' => 'cleanup-utilities', 'operation' => 'remove-all-videos' ]  ) . '">' . __( "Remove", "wpep" ) . '</a></td>';
    echo    '</tr>';
    echo    '<tr class="wpep-row-highlight wpep-row-highlight-danger-hover">';
    echo      '<td class="wpep-row-highlight-icon wpep-row-highlight-icon-remove">' . __( "Remove All Offers") . '</td>';
    echo      '<td ' . $button_td_atts . '><a class="button button-primary" href="' . wpep_admin_url_platform_health( [ 'tab' => 'cleanup-utilities', 'operation' => 'remove-all-offers' ]  ) . '">' . __( "Remove", "wpep" ) . '</a></td>';
    echo    '</tr>';
    echo    '<tr class="wpep-row-highlight wpep-row-highlight-danger-hover">';
    echo      '<td class="wpep-row-highlight-icon wpep-row-highlight-icon-remove">' . __( "Remove All Settings") . '</td>';
    echo      '<td ' . $button_td_atts . '><a class="button button-primary" href="' . wpep_admin_url_platform_health( [ 'tab' => 'cleanup-utilities', 'operation' => 'remove-all-settings' ]  ) . '">' . __( "Remove", "wpep" ) . '</a></td>';
    echo    '</tr>';
    echo    '<tr class="wpep-row-highlight wpep-row-highlight-danger-hover">';
    echo      '<td class="wpep-row-highlight-icon wpep-row-highlight-icon-remove">' . __( "Remove All AddOn Settings") . '</td>';
    echo      '<td ' . $button_td_atts . '><a class="button button-primary" href="' . wpep_admin_url_platform_health( [ 'tab' => 'cleanup-utilities', 'operation' => 'remove-all-addon-settings' ]  ) . '">' . __( "Remove", "wpep" ) . '</a></td>';
    echo    '</tr>';
    echo    '<tr class="wpep-row-highlight wpep-row-highlight-danger-hover">';
    echo      '<td class="wpep-row-highlight-icon wpep-row-highlight-icon-remove">' . __( "Remove Everything") . '</td>';
    echo      '<td ' . $button_td_atts . '><a class="button button-primary" href="' . wpep_admin_url_platform_health( [ 'tab' => 'cleanup-utilities', 'operation' => 'remove-everything' ]  ) . '">' . __( "Remove", "wpep" ) . '</a></td>';
    echo    '</tr>';
    echo    '</tbody>';
    echo '</table>';
  }

  public function process( $operation = false, $operation_confirmation = false ) {
    if( $operation_confirmation != false ) {
      $this->_handle_delete_operation( $operation_confirmation );

      return;
    }

    if( $operation == false )
      return;

    if( $operation == 'remove-all-courses' ) {
      wpep_administration_platform_health_confirmation_form(
        [
          __( "All Courses & Assessments will be removed.", "wpep" )
        ],
        'confirm-remove-all-courses'
      );
    } else if( $operation == 'remove-all-categories' ) {
      wpep_administration_platform_health_confirmation_form(
        [
          __( "All Categories will be removed.", "wpep" )
        ],
        'confirm-remove-all-categories'
      );
    } else if( $operation == 'remove-all-ebooks' ) {
      wpep_administration_platform_health_confirmation_form(
        [
          __( "All E-Books will be removed.", "wpep"  )
        ],
        'confirm-remove-all-ebooks'
      );
    } else if( $operation == 'remove-all-videos' ) {
      wpep_administration_platform_health_confirmation_form(
        [
          __( "All Videos will be removed.", "wpep"  )
        ],
        'confirm-remove-all-videos'
      );
    } else if( $operation == 'remove-all-offers' ) {
      wpep_administration_platform_health_confirmation_form(
        [
          __( "All Offers will be removed.", "wpep"  )
        ],
        'confirm-remove-all-offers'
      );
    } else if( $operation == 'remove-all-settings' ) {
      wpep_administration_platform_health_confirmation_form(
        [
          __( "All Settings will be removed.", "wpep"  )
        ],
        'confirm-remove-all-settings'
      );
    } else if( $operation == 'remove-all-addon-settings' ) {
      wpep_administration_platform_health_confirmation_form(
        [
          __( "All AddOn Settings will be removed.", "wpep"  )
        ],
        'confirm-remove-all-addon-settings'
      );
    } else if( $operation == 'remove-everything' ) {
      wpep_administration_platform_health_confirmation_form(
        [
          __( "All Courses & Assessments will be removed.", "wpep"  ),
          __( "All Categories will be removed.", "wpep" ),
          __( "All E-Books will be removed.", "wpep"  ),
          __( "All Videos will be removed.", "wpep"  ),
          __( "All Offers will be removed.", "wpep"  ),
          __( "All Settings will be removed.", "wpep"  ),
          __( "All AddOn Settings will be removed.", "wpep"  )
        ],
        'confirm-remove-everything'
      );
    }
  }

  private function _handle_delete_operation( $delete_operation ) {
    if( $delete_operation == 'confirm-remove-all-courses' || $delete_operation == 'confirm-remove-everything' ) {
      $course_post_list = get_posts( [
        'numberposts' => -1,
        'post_type'   => WPEP_POST_TYPE_COURSE,
        'fields'      => 'ids'
      ] );

      $deleted_assessments_count = 0;

      foreach( $course_post_list as $course_post_id ) {
        $course_assessment_ids = wpep_get_course_assessment_ids( $course_post_id );

        wp_delete_post( $course_post_id, true );

        foreach( $course_assessment_ids as $course_assessment_id )
          wp_delete_post( $course_assessment_id, true );

        $deleted_assessments_count += count( $course_assessment_ids );
      }

      // Lets make sure we cleanup everything, even old entries.
      global $wpdb;
      foreach( [
                 'wpep_assessment_user_data',
                 'wpep_assessment_question',
                 'wpep_assessment_question_answer',
                 'wpep_course_user_data',
                 'wpep_section',
                 'wpep_section_lesson',
                 'wpep_section_lesson_completed'
               ] as $table_name )
        $wpdb->query('TRUNCATE TABLE `' . $wpdb->prefix . $table_name . '`');


      echo '<div class="wpep-notification wpep-notification-warning">' . sprintf(__("Permanently Deleted %s Courses & %s Assessments.", "wpep"), count( $course_post_list ), $deleted_assessments_count ) . '</div>';
    }

    if( $delete_operation == 'confirm-remove-all-categories' || $delete_operation == 'confirm-remove-everything' ) {
      $categories_list = get_terms( [
        'taxonomy'   => WPEP_TAXONOMY_CATEGORY,
        'hide_empty' => false,
      ] );

      foreach( $categories_list as $category )
        wp_delete_term( $category->term_id, WPEP_TAXONOMY_CATEGORY );

      echo '<div class="wpep-notification wpep-notification-warning">' . sprintf(__("Permanently Deleted %s Categories.", "wpep"), count( $categories_list ) ) . '</div>';
    }

    if( $delete_operation == 'confirm-remove-all-ebooks' || $delete_operation == 'confirm-remove-everything' ) {
      $ebook_post_list = get_posts( [
        'numberposts' => -1,
        'post_type'   => WPEP_POST_TYPE_E_BOOK,
        'fields'      => 'ids'
      ] );

      foreach( $ebook_post_list as $ebook_post_id )
        wp_delete_post( $ebook_post_id, true );

      echo '<div class="wpep-notification wpep-notification-warning">' . sprintf(__("Permanently Deleted %s E-Books.", "wpep"), count( $ebook_post_list ) ) . '</div>';
    }

    if( $delete_operation == 'confirm-remove-all-videos' || $delete_operation == 'confirm-remove-everything' ) {
      $video_post_list = get_posts( [
        'numberposts' => -1,
        'post_type'   => WPEP_POST_TYPE_VIDEO,
        'fields'      => 'ids'
      ] );

      foreach( $video_post_list as $video_post_id )
        wp_delete_post( $video_post_id, true );

      echo '<div class="wpep-notification wpep-notification-warning">' . sprintf(__("Permanently Deleted %s Videos.", "wpep"), count( $video_post_list ) ) . '</div>';
    }

    if( $delete_operation == 'confirm-remove-all-offers' || $delete_operation == 'confirm-remove-everything' ) {
      $offer_post_list = get_posts( [
        'numberposts' => -1,
        'post_type'   => WPEP_POST_TYPE_OFFER,
        'fields'      => 'ids'
      ] );

      foreach( $offer_post_list as $offer_post_id )
        wp_delete_post( $offer_post_id, true );

      echo '<div class="wpep-notification wpep-notification-warning">' . sprintf(__("Permanently Deleted %s Videos.", "wpep"), count( $offer_post_list ) ) . '</div>';
    }

    if( $delete_operation == 'confirm-remove-all-settings' || $delete_operation == 'confirm-remove-everything' ) {
      delete_option( WPEP_Settings::instance()->option_name );

      echo '<div class="wpep-notification wpep-notification-warning">' . sprintf(__("Permanently Deleted All Settings.", "wpep") ) . '</div>';
    }

    if( $delete_operation == 'confirm-remove-all-addon-settings' || $delete_operation == 'confirm-remove-everything' ) {
      global $wpdb;

      $plugin_options = $wpdb->get_results( "SELECT option_name FROM $wpdb->options WHERE option_name LIKE 'wpep_addon_%'" );

      foreach( $plugin_options as $option ) {
        delete_option( $option->option_name );
      }

      echo '<div class="wpep-notification wpep-notification-warning">' . sprintf(__("Permanently %s AddOn Settings.", "wpep" ), count( $plugin_options ) ) . '</div>';
    }
  }

}