<?php

namespace WPEP\Container;

trait FilterProxy {

  public $_filter_proxy_priority = 20;
  protected $_filter_proxy_storage = [];
  
  public function _filter_proxy_setup( $information ) {
    if( empty( $information ) )
      return;

    if( !empty( $this->_filter_proxy_storage ) )
      $this->_filter_proxy_remove();

    $this->_filter_proxy_storage = $information;

    foreach( $this->_filter_proxy_storage as $filter_name => $filter_function )
      add_filter( $filter_name, [ $this, '_filter_proxy_callback' ], $this->_filter_proxy_priority );
  }

  public function _filter_proxy_remove() {
    if( empty( $this->_filter_proxy_storage ) )
      return;

    foreach( $this->_filter_proxy_storage as $filter_name => $filter_function )
      remove_filter( $filter_name, [ $this, '_filter_proxy_callback' ], $this->_filter_proxy_priority );

    $this->_filter_proxy_storage = [];
  }

  public function _filter_proxy_callback( $current_value ) {
    $current_filter = current_filter();

    if( !isset( $this->_filter_proxy_storage[$current_filter] ) )
      return $current_value;

    if( !is_callable( $this->_filter_proxy_storage[$current_filter] ) )
      return $this->_filter_proxy_storage[$current_filter];

    return call_user_func_array( $this->_filter_proxy_storage[$current_filter], func_get_args() );
  }

}