<?php

namespace WPEP\Coordinator\UserEngagement;

use WPEP\Controller as WPEP_Controller;

class WeeklyRecap {

  public function __construct() {
    if( wpep_get_setting_flag( 'email-weekly-recap-status' )  )
      add_action( 'wpep_weekly_cron', [ $this, 'weekly_cron_hook' ] );

    if( isset( $_GET['wpep-preview-weekly-recap'] ) )
      add_action( 'init', [ $this, '_init_preview_email' ] );
  }

  public function _init_preview_email() {
    if( !current_user_can( WPEP_CAP_MANAGE_SETTINGS ) )
      return;

    add_filter( 'wpep_email_content_html', function( $content ) {
      echo $content;exit;
    }, 100 );

    WPEP_Controller::instance()->userEngagement->send_email(
      get_current_user_id(),
      wpep_get_setting( 'email-weekly-recap-title' ),
      wpep_get_setting( 'email-weekly-recap-content' )
    );

    exit;
  }
  
  public function weekly_cron_hook() {
    $user_ids = WPEP_Controller::instance()->userEngagement->get_user_list();

    if( empty( $user_ids ) )
      return;

    foreach( $user_ids as $position => $user_id ) {
      if( intval( get_user_meta( $user_id, 'wpep_disable_email_weekly_recap' ) ) !== 1 )
        continue;

      unset( $user_ids[$position] );
    }

    WPEP_Controller::instance()->userEngagement->send_email(
      $user_ids,
      wpep_get_setting( 'email-weekly-recap-title' ),
      wpep_get_setting( 'email-weekly-recap-content' )
    );
  }

}
