<?php

namespace WPEP\Entity;

class PostSplinter {

  protected static $_instance;

  public static function instance() {
    if( self::$_instance == null )
      self::$_instance = new self();

    return self::$_instance;
  }

  /**
   * @var \WP_Post|bool
   */
  private $_original_post = false;

  public function get_splinter_id( $post_id, $user_id ) {
    $user_id = ( $user_id === false ? get_current_user_id() : $user_id );

    global $wpdb;

    $sql = 'SELECT id FROM ' . $wpdb->posts . ' 
                      WHERE post_author = ' . $user_id . '
                        AND post_parent = ' . $post_id . '
                        AND post_type   = "' . WPEP_POST_TYPE_SPLINTERED_POST . '"
                      ';

    $splinter = $wpdb->get_row( $sql );

    return $splinter === null ? 0 : $splinter->id;
  }

  public function load( $load_post = false, $user_id = false ) {
    if( $load_post === false )
      $load_post = get_post();

    $user_id = ( $user_id === false ? get_current_user_id() : $user_id );

    if( !( $load_post instanceof \WP_Post ) || $user_id == 0 )
      return;

    if( $load_post->post_parent !== 0
        && $load_post->post_author === $user_id
        && $load_post->post_type === WPEP_POST_TYPE_SPLINTERED_POST )
      return;

    global $post;

    if( $this->_original_post === false )
      $this->_original_post = $post;

    $load_post_id = $this->get_splinter_id( $load_post->ID, $user_id );

    if( $load_post_id === 0 ) {
      $load_post_id = wp_insert_post( [
        'post_title'    => $load_post->ID . ' ' . $load_post->post_title,
        'post_author'   => $user_id,
        'post_parent'   => $load_post->ID,
        'post_type'     => WPEP_POST_TYPE_SPLINTERED_POST,
        'post_status'   => 'publish',
        'comment_status'=> $load_post->comment_status,
        'ping_status'   => 'closed'
      ] );
    }

    $post = get_post( $load_post_id );

    setup_postdata( $post );
  }

  public function reset() {
    if( $this->_original_post === false )
      return;

    global $post;

    $post = $this->_original_post;

    setup_postdata( $post );

    $this->_original_post = false;
  }

}