<?php

namespace WPEP\Posts;

/**
 * declare Courses class.
 *
 * @since        1.0
 */
class EBook extends Skeleton {


  /**
   * config custom post type.
   *
   * @access    public
   * @static
   * @return      void
   * @since       1.0
   */
  public static function config() {
    $post_config = [
      'supports'            => [ 'title', 'thumbnail' ],
      'taxonomies'          => [ WPEP_TAXONOMY_CATEGORY ],
      'hierarchical'        => false,
      'public'              => true,
      'show_ui'             => true,
      'show_in_menu'        => 'edit.php?post_type=' . WPEP_POST_TYPE_COURSE,
      'show_in_nav_menus'   => true,
      'show_in_admin_bar'   => true,
      'menu_position'       => 100,
      'menu_icon'           => '',
      'can_export'          => true,
      'has_archive'         => wpep_get_setting_flag( 'enable-ebooks-archive' ),
      'exclude_from_search' => false,
      'publicly_queryable'  => true,
      'capability_type'     => WPEP_POST_CAP_E_BOOK,
      'map_meta_cap'        => true,
      'rewrite'             => [
        'slug'  => wpep_get_setting( 'rewrite-slug-ebook', WPEP_POST_TYPE_E_BOOK )
      ]
    ];

    self::$post_config['singular_name'] = 'EBook';
    self::$post_config['plural_name']   = 'EBooks';
    self::$post_config['config']        = $post_config;
    self::$post_config['post_type']     = WPEP_POST_TYPE_E_BOOK;

    self::register();
  }

}
