<?php

namespace WPEP\Posts;

use WPEP\Controller;

/**
 * declare Post class.
 *
 * @since        1.0
 */
class Skeleton {

  /**
   * @access      public
   * @static
   * @var         array $post_config post config params
   * @since       1.0
   */
  public static $post_config;

  /**
   * @access      public
   * @static
   * @var         array $taxonomy_config taxonomy config params
   * @since       1.0
   */
  public static $tax_config;


  /**
   * register custom post type.
   *
   * @access      public
   * @static
   * @return      void
   * @since       1.0
   */
  public static function register() {

    /* label arguments. */
    $post_labels = [
        'name'               => _x(self::$post_config['plural_name'], 'Post Type General Name', "wpep"),
        'singular_name'      => _x(self::$post_config['singular_name'], 'Post Type Singular Name', "wpep"),
        'menu_name'          => __(self::$post_config['menu_name'], "wpep"),
        'name_admin_bar'     => __(self::$post_config['singular_name'], "wpep"),
        'parent_item_colon'  => __('Parent ' . self::$post_config['singular_name'] . ':', "wpep"),
        'add_new'            => __('New ' . self::$post_config['singular_name'], "wpep"),
        'add_new_item'       => __('Add New ' . self::$post_config['singular_name'], "wpep"),
        'new_item'           => __('New ' . self::$post_config['singular_name'], "wpep"),
        'edit_item'          => __('Edit ' . self::$post_config['singular_name'], "wpep"),
        'update_item'        => __('Update ' . self::$post_config['singular_name'], "wpep"),
        'view_item'          => __('View ' . self::$post_config['singular_name'], "wpep"),
        'all_items'          => __('All ' . self::$post_config['plural_name'], "wpep"),
        'search_items'       => __('Search ' . self::$post_config['singular_name'], "wpep"),
        'not_found'          => __('No ' . self::$post_config['singular_name'] . ' found', "wpep"),
        'not_found_in_trash' => __('No ' . self::$post_config['singular_name'] . ' found in Trash', "wpep")
    ];
    /* label arguments. */


    /* merge label arguments. */
    $post_params = [
        'label'       => __(strtolower(self::$post_config['singular_name']), "wpep"),
        'description' => __(self::$post_config['singular_name'] . ' information pages', "wpep"),
        'labels'      => $post_labels
    ];

    $post_params = array_merge($post_params, self::$post_config['config']);

    register_post_type(self::$post_config['post_type'], $post_params);
  } /* register() */

}