<?php

namespace WPEP\Posts;

/**
 * declare Courses class.
 *
 * @since        1.0
 */
class Video extends Skeleton {


  /**
   * config custom post type.
   *
   * @access    public
   * @static
   * @return      void
   * @since       1.0
   */
  public static function config() {
    $post_config = array(
      'supports'            => [ 'title', 'excerpt', 'editor' ],
      'taxonomies'          => [ WPEP_TAXONOMY_CATEGORY ],
      'hierarchical'        => false,
      'public'              => true,
      'show_ui'             => true,
      'show_in_menu'        => 'edit.php?post_type=' . WPEP_POST_TYPE_COURSE,
      'show_in_nav_menus'   => true,
      'show_in_admin_bar'   => true,
      'menu_position'       => 100,
      'menu_icon'           => '',
      'can_export'          => true,
      'has_archive'         => wpep_get_setting_flag( 'enable-videos-archive' ),
      'exclude_from_search' => false,
      'publicly_queryable'  => true,
      'capability_type'     => WPEP_POST_CAP_VIDEO,
      'map_meta_cap'        => true,
      'rewrite'             => [
        'slug'  => wpep_get_setting( 'rewrite-slug-video', WPEP_POST_TYPE_VIDEO )
      ]
    );

    self::$post_config['singular_name'] = 'Video';
    self::$post_config['plural_name']   = 'Videos';
    self::$post_config['config']        = $post_config;
    self::$post_config['post_type']     = WPEP_POST_TYPE_VIDEO;

    self::register();
  }

}
