<?php

function wpep_administration_platform_health_table( $row_list, $table_title = '', $table_class = 'wpep-modules-table' ) {
  echo '<table class="wp-list-table widefat striped ' . $table_class . '">';
  echo    '<thead>';
  echo      '<tr>';
  echo        '<th>' . $table_title . '</th>';
  echo        '<th class="wpep-row-button-container">&nbsp;</th>';
  echo      '</tr>';
  echo    '</thead>';
  echo    '<tbody>';

  foreach( $row_list as $service_key => $service_information ) {
    $class = 'wpep-row-highlight';

    if( isset( $service_information['status'] ) && $service_information['status'] != '' )
      $class .= ' wpep-row-highlight-' . $service_information['status'];

    echo      '<tr class="' . $class . '">';

    if( isset( $service_information[ 'operation' ] ) && ( !isset( $service_information[ 'operation_allowed'] ) || $service_information['operation_allowed'] == true ) ) {
      echo        '<td class="wpep-row-highlight-icon">' . $service_information[ 'title' ] . '</td>';
      echo        '<td class="wpep-row-button-container"><a class="button button-primary" href="' . $service_information[ 'operation' ]  . '">' . $service_information[ 'operation_text' ] . '</a></td>';
    } else {
      echo '<td class="wpep-row-highlight-icon" colspan="2">' . $service_information[ 'title' ] . '</td>';
    }

    echo      '</tr>';
  }

  echo    '</tbody>';
  echo '</table>';
}

function wpep_administration_platform_health_confirmation_form( $list_items, $operation_name ) {
  echo '<form method="POST" class="wpep-confirm-danger-action-form">';
  echo   '<input type="hidden" name="wpep-operation" value="' . $operation_name . '"/>';
  echo   '<h2>' . __( "This Action cannot be undone", "wpep" ) . '</h2>';
  echo   '<ul>';

  foreach( $list_items as $list_item )
    echo '<li>' . $list_item . '</li>';

  echo   '</ul>';

  echo   '<button class="button">' . __( "Confirm", "wpep" ) . '</button>';
  echo '</form>';
}