<?php

if( !function_exists( 'wpep_post_comments_template_callback' ) ) {
  function wpep_post_comments_template_callback( $comment ) {
    echo wpep_post_comments_template_callback_content( $comment );
  }
}

function wpep_post_comments_template_callback_content( $comment ) {
  $current_comment    = $GLOBALS['comment'];

  $GLOBALS['comment'] = $comment;

  $response = wpep_controller()->template->get_template( 'comments/single-comment.php', [
    'comment' => $comment
  ] );

  $GLOBALS['comment'] = $current_comment;

  return $response;
}

if( !function_exists( 'wpep_post_comments_single_content_date' ) ) {

  function wpep_post_comments_single_content_date() {
    $time  = get_comment_time( get_option( 'time_format' ) );
    $date  = get_comment_time( get_option( 'date_format' ) );

    return '<span class="wpep-post-comments-date">' . $date . '</span> <span class="wpep-post-comments-time">' . $time . '</span>';
  }

}

function wpep_post_comments_single_content( $comment ) {
  $comment_content = $comment->comment_content;

  if( user_can( $comment->user_id, WPEP_CAP_MANAGE_SETTINGS ) )
    $comment_content = do_shortcode( $comment_content );

  return apply_filters( 'comment_text', $comment_content, $comment );
}

function wpep_post_comments_form_editor( $post_id ) {
  add_filter( 'mce_buttons', '_wpep_post_comments_form_editor_mce_buttons', 500 );
  add_filter( 'mce_buttons_2', '_wpep_post_comments_form_editor_mce_buttons_remove', 500 );
  add_filter( 'mce_buttons_3', '_wpep_post_comments_form_editor_mce_buttons_remove', 500 );
  add_filter( 'mce_buttons_4', '_wpep_post_comments_form_editor_mce_buttons_remove', 500 );

  $settings = [
    'quicktags'     => [],
    'media_buttons' => true,
    'tinymce'       => true,
    'default_editor'=> 'tinymce',
    'editor_height' => 100,
    'textarea_name' => 'wpep_comment_content'
  ];

  wp_editor( '', 'wpep-post-comment-content-' . $post_id, $settings);

  remove_filter( 'mce_buttons', '_wpep_post_comments_form_editor_mce_buttons', 500 );
  remove_filter( 'mce_buttons_2', '_wpep_post_comments_form_editor_mce_buttons_remove', 500 );
  remove_filter( 'mce_buttons_3', '_wpep_post_comments_form_editor_mce_buttons_remove', 500 );
  remove_filter( 'mce_buttons_4', '_wpep_post_comments_form_editor_mce_buttons_remove', 500 );
}

function wpep_post_comments_pagination_links( $args ) {
  $max_page = get_comment_pages_count();

  $defaults = array(
    'base'    => add_query_arg( 'cpage', '%#%' ),
    'format'  => '',
    'total'   => $max_page,
    'current' => 1,
    'echo'         => true,
    'add_fragment' => '#comments'
  );

  $args = wp_parse_args( $args, $defaults );
  $page_links = paginate_links( $args );

  if ( $args['echo'] )
    echo $page_links;
  else
    return $page_links;
}

function _wpep_post_comments_form_editor_mce_buttons( $buttons ) {
  return [ 'bold', 'italic', 'bullist', 'numlist', 'blockquote', 'alignleft', 'aligncenter', 'alignright', 'link' ];
}

function _wpep_post_comments_form_editor_mce_buttons_remove( $buttons ) {
  return [];
}