<?php

abstract class WPEP_AddOn_Integration {

  abstract public function get_name();

  public function get_alias() {
    return sanitize_title( $this->get_name() );
  }

  /**
   * Structure :
   *   - thumbnail  - optional
   *   - product_id - optional
   *   - link       - optional
   * @return array
   */
  abstract public function get_information();

  /**
   * Runs after WPEP has been fully loaded.
   * @return void
   */
  abstract public function init();

  public function has_requirements_met() {
    return true;
  }

}