<?php
global $wpdb;

$existing_courses = get_posts( [ 'post_type' => WPEP_POST_TYPE_COURSE, 'numberposts' => -1 ] );

foreach( $existing_courses as $existing_course ) {
  delete_post_meta($existing_course->ID, '_cic_cb-course-desc' );

  $section_count = get_post_meta($existing_course->ID, 'section_count', true);

  if( $section_count == false )
    continue;

  $user_ids = get_users(
    [
      'meta_key' => 'course_progress_' . $existing_course->ID,
      'number'   => -1,
      'fields'   => 'ID'
    ]
  );

  for( $section_iterator = 0; $section_iterator < $section_count; $section_iterator++ )
    delete_post_meta( $existing_course->ID, 'section_meta_' . $section_iterator );

  foreach( $user_ids as $user_id )
    delete_user_meta( $user_id, 'course_progress_' . $existing_course->ID );

  delete_post_meta( $existing_course->ID, 'section_count' );
}

echo '<p>' . __( " Old data has been deleted in order to keep your website database clean.", "wpep" ) . '</p>';