<?php
set_time_limit(0);

global $wpdb;

if( get_option( '__cic_wpep_license_meta', false ) != false )
  delete_option( '__cic_wpep_license_meta' );

$existing_courses = get_posts( [
  'post_type'   => WPEP_POST_TYPE_COURSE,
  'numberposts' => -1,
  'post_status' => [ 'publish', 'pending', 'draft', 'auto-draft', 'future', 'private', 'inherit', 'trash' ]
] );

foreach( $existing_courses as $existing_course ) {
  $thumb_image = get_post_meta( $existing_course->ID, '_cic-thumb-image', true );

  if( $thumb_image != '' ) {
    update_post_meta( $existing_course->ID, 'wpep_thumb_image', $thumb_image );

    delete_post_meta( $existing_course->ID, '_cic-thumb-image' );
  }

  $icon_image = get_post_meta( $existing_course->ID, '_cic-icon-image', true );

  if( $icon_image != '' ) {
    update_post_meta( $existing_course->ID, 'wpep_icon_image', $icon_image );

    delete_post_meta( $existing_course->ID, '_cic-icon-image' );
  }

  $progress_bar = get_post_meta( $course_id, '_cic-show_progress_bar', true );

  if( $progress_bar != '' ) {
    update_post_meta( $existing_course->ID, 'wpep_show_progress_bar', $progress_bar );

    delete_post_meta( $existing_course->ID, '_cic-show_progress_bar' );
  }

  $show_on_index = get_post_meta( $course_id, '_cic-show_on_index', true );

  if( $show_on_index != '' ) {
    update_post_meta( $existing_course->ID, 'wpep_show_on_index', $show_on_index );

    delete_post_meta( $existing_course->ID, '_cic-show_on_index' );
  }

}

echo '<p>' . __( "Post Meta prefix has been changed." , "wpep" ) . '</p>';