<?php

namespace WPEP;

use WPEP\Controller as WPEP_Controller;

function wpep_migration_1_3_4_course_progress_map( $course_id ) {
  global $wpdb;

  $sql = 'SELECT lc.user_id, 
           COUNT( lc.id ) as completed_count 
           FROM ' . $wpdb->prefix . 'wpep_section_lesson_completed lc
           LEFT JOIN ' . $wpdb->prefix . 'wpep_section_lesson l ON l.id = lc.lesson_id
           LEFT JOIN ' . $wpdb->prefix . 'wpep_section s ON s.id = l.section_id
           WHERE s.post_id = ' . intval( $course_id ) . '
           GROUP BY lc.user_id';

  $result = $wpdb->get_results( $sql );
  $response = [];

  foreach( $result as $r )
    $response[ $r->user_id ] = $r->completed_count;

  return $response;
}

global $wpdb;

$course_list_query = new \WP_Query( [
  'post_type'       => WPEP_POST_TYPE_COURSE,
  'posts_per_page'  => 99999,
  'offset'          => 0
] );

foreach( $course_list_query->get_posts() as $course ) {
  $sql = 'SELECT COUNT( l.id ) 
            FROM ' . $wpdb->prefix . 'wpep_section_lesson l
            LEFT JOIN ' . $wpdb->prefix . 'wpep_section s ON s.id = l.section_id
            WHERE s.post_id = ' . intval($course->ID);

  $lesson_count = intval($wpdb->get_var($sql));
  $progress_map = wpep_migration_1_3_4_course_progress_map($course->ID);

  foreach ($progress_map as $progress_user_id => $progress_lesson_count) {
    WPEP_Controller::instance()->userActivity->set_course_user_data(
      WPEP_USER_COURSE_COMPLETED,
      ($progress_lesson_count >= $lesson_count),
      $course->ID, 0, 0, $progress_user_id
    );
  }
}

echo '<p>' . __( "We're changed the way we're tracking lesson completions, there's nothing to worry about, just keep in mind if you have any questions about statistics you should contact support.", "wpep" ) . '</p>';
