<?php
global $wpdb;

$post_types = [ WPEP_POST_TYPE_VIDEO, WPEP_POST_TYPE_OFFER, WPEP_POST_TYPE_E_BOOK ];

foreach( $post_types as $post_type ) {
  $post_ids = get_posts( [
      'post_type'   => $post_type,
      'numberposts' => -1,
      'post_status' => [ 'publish', 'pending', 'draft', 'auto-draft', 'future', 'private', 'inherit', 'trash' ],
      'orderby'     => 'title',
      'fields'      => 'ids'
  ] );

  $order = 0;

  foreach( $post_ids as $post_id )
    update_post_meta( $post_id, 'wpep_order', $order++ );

}

echo '<p>' . sprintf( __( "Updated the following post types to allow order : %s", "wpep" ), implode( ", ", $post_types ) ) . '</p>';