<form class="wpep-assessment-form wpep-assessment-form-paginated"
      data-user-status="<?php echo $user_status; ?>"
      data-assessment-id="<?php echo $assessment_id; ?>"
      <?php if( $allowed_time != 0 && $allow_submission ) : ?>
      data-submission-remaining="<?php echo ( $submission_started - time() + $allowed_time ) ?>"
      <?php endif; ?>
      method="POST"
      action="<?php echo $form_action; ?>">
  <input type="submit" class="submit-assessment" name="wpep_assessment_submit" value="<?php echo wpep_get_setting_translated( 'assessment-submit' ); ?>" style="display:none;">

  <input type="hidden" name="wpep_assessment_id" value="<?php echo $assessment_id; ?>">
  <input type="hidden" name="wpep_course_id" value="<?php echo $course_id; ?>">

  <div class="wpep-top-section">
    <h1 class="wpep-assessment-title"><?php echo $assessment_title; ?></h1>

    <?php if( $allowed_time != 0 && $allow_submission ) : ?>
      <p class="wpep-assessment-time-remaining-container wpep-hidden">
        <?php echo wpep_get_setting_translated( 'assessment-time-remaining' ); ?>
        <span><?php echo wpep_utility_time_remaining( ( $submission_started - time() + $allowed_time ) ); ?></span>
      </p>
    <?php endif; ?>
  </div>

  <?php wpep_template_load( 'assessment/_user_status_notification.php', [
    'user_status'       => $user_status
  ] ); ?>
  
  <div class="wpep-assessment-questions-container">
    <?php foreach( $assessment_questions as $assessment_question ) : ?>
      <?php wpep_template_load( 'assessment/_question.php', [
        'assessment_id'            => $assessment_id,
        'user_status'              => $user_status,
        'assessment_question'      => $assessment_question,
        'allow_submission'         => $allow_submission,
        'user_question_status'     => $user_question_status,
        'user_question_answer'     => $user_question_answer,
        'user_question_answer_id'  => $user_question_answer_id
      ] ); ?>
    <?php endforeach; ?>
  </div>
  
  <div class="wpep-assessment-operations-container">
    <?php if( isset( $pagination_previous ) && $pagination_previous ) : ?>
      <input type="submit" class="wpep-prev-part" name="wpep_prev_part" value="<?php echo wpep_get_setting_translated( 'assessment-part-prev' ); ?>">
    <?php endif; ?>
    <?php if( isset( $pagination_next ) && $pagination_next ) : ?>
      <input type="submit" class="wpep-next-part" name="wpep_next_part" value="<?php echo wpep_get_setting_translated( 'assessment-part-next' ); ?>">
      <input type="submit" class="submit-assessment" name="wpep_assessment_submit" value="<?php echo wpep_get_setting_translated( 'assessment-submit' ); ?>" style="display:none;">
    <?php elseif( $allow_submission ) : ?>
      <input type="submit" class="submit-assessment" name="wpep_assessment_submit" value="<?php echo wpep_get_setting_translated( 'assessment-submit' ); ?>">
    <?php endif; ?>

    <?php if( $user_status != 'pending' ) : ?>
      <hr/>

      <ul class="wpep-assessment-nav-container">
        <li class="wpep-assessment-next-lesson">
          <a href="<?php echo $course_permalink; ?>">
            <?php echo wpep_get_setting_translated( 'assessment-go-to-course' ); ?>
          </a>
        </li>
      </ul>
    <?php endif; ?>
  </div>
</form>

