<article class="video-content">

  <header class="wpep-video-separator">
    <h2 class="wpep-video-title"><a href="<?php echo get_permalink( $course_id ); ?>"><?php echo $course_name; ?></a></h2>
  </header>

  <section class="primary-video">
    <section class="primary-video-content">
      <div class="primary-video-wrapper">
        <?php echo wpep_get_video_source_output( $lesson_options->video_embed_source ); ?>
      </div>
    </section>
    <ul class="video-navigation-content">
      <?php foreach( $lesson_list as $current_lesson ) : ?>
        <li class="<?php echo ( $current_lesson->options->video_embed_image != '' ? 'with-image' : 'no-image' ) . " " . ( $current_lesson->is_completed ? 'is-completed' : 'not-completed' ) . " " . ( $lesson_id == $current_lesson->id ? 'current-lesson' : 'not-current-lesson' ); ?>">
          <a href="<?php echo wpep_course_lesson_permalink( $current_lesson->id, $course_id )?>">
            <?php if( $current_lesson->options->video_embed_image != '' ) : ?>
              <span class="ct-image"><img src="<?php echo $current_lesson->options->video_embed_image; ?>"/></span>
            <?php else : ?>
              <span class="ct-image-placeholder">&nbsp;</span>
            <?php endif; ?>
            <span class="video-title"><?php echo $current_lesson->title; ?></span>
          </a>
        </li>
      <?php endforeach; ?>
    </ul>

    <?php if( !$course_read_only ) : ?>
      <section class="video-completion-status-box">
        <?php if( !$lesson_is_completed ) : ?>
          <a class="complete-lesson"
             href="<?php echo wp_nonce_url( wpep_course_lesson_permalink( $lesson_id, $course_id ), 'complete-lesson', 'complete-lesson' ) ?>"
          ><span></span
            ><?php echo apply_filters( 'wpep_course_single_content_video_complete_lesson', wpep_get_setting_translated( 'course-video-lesson-complete' ) ); ?>
          </a>
        <?php elseif( wpep_get_setting_flag( 'enable-lesson-incomplete-option' ) ) : ?>
          <a class="incomplete-lesson"
             href="<?php echo wp_nonce_url( wpep_course_lesson_permalink( $lesson_id, $course_id ), 'incomplete-lesson', 'incomplete-lesson' ) ?>"
          ><span></span
            ><?php echo apply_filters( 'wpep_course_single_content_video_lesson_completed', wpep_get_setting_translated( 'course-video-lesson-completed' ) ); ?>
          </a>
        <?php else : ?>
          <p class="video-course-completed-notification">
            <span></span
            ><?php echo apply_filters( 'wpep_course_single_content_video_lesson_completed', wpep_get_setting_translated( 'course-video-lesson-completed' ) ); ?>
          </p>
        <?php endif; ?>
      </section>
    <?php endif; ?>

    <div class="clearfix"></div>
  </section>
  <?php if( trim( $lesson_content ) != '' ) : ?>
    <header class="wpep-video-separator"><h2 class="wpep-video-description-title"><?php echo wpep_get_setting_translated( 'course-video-lesson-description' ); ?></h2></header>
    <section class="primary-content wpep-content-from-editor">
      <?php echo $lesson_content; ?>
    </section>
  <?php endif; ?>

  <footer>
    <ul class="video-course-navigation <?php echo isset( $has_index_page ) && $has_index_page ? "video-course-navigation-return-button" : ''; ?>">
      <?php if( isset( $has_index_page ) && $has_index_page ) : ?>
        <li class="video-course-navigation-view-overview"
        ><a href="<?php echo get_permalink( $course_id ) ?>"><?php echo wpep_get_setting_translated( 'course-video-lesson-back' ); ?></a>
        </li>
      <?php endif; ?>

      <?php if( isset( $next_lesson_id ) && intval( $next_lesson_id ) != 0 ) : ?>
        <li class="video-course-navigation-next"><a href="<?php echo wpep_course_lesson_permalink( $next_lesson_id, $course_id ) ?>"><?php echo wpep_get_setting_translated( 'course-video-next-lesson' ); ?></a></li>
      <?php endif;?>

      <?php if( isset( $previous_lesson_id ) && intval( $previous_lesson_id ) != 0 ) : ?>
        <li class="video-course-navigation-previous"><a href="<?php echo wpep_course_lesson_permalink( $previous_lesson_id, $course_id ) ?>"><?php echo wpep_get_setting_translated( 'course-video-previous-lesson' ); ?></a></li>
      <?php endif;?>

      <li class="clearfix"></li>
    </ul>
  </footer>
</article>