<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" style="font-size: 14px; font-family: 'Helvetica Neue', 'Helvetica', Helvetica, Arial, sans-serif;">

<head>
  <meta name="viewport" content="width=device-width">
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
  <title><?php echo $email_title; ?></title>
  <style>
    /* /\/\/\/\/\/\/\/\/ CLIENT-SPECIFIC STYLES /\/\/\/\/\/\/\/\/ */
    #outlook a {
      padding: 0; }

    /* CUSTOM */
    .smaller-logo {
      width: <?php echo WPEP_EMAIL_LOGO_WIDTH;?>;
    }
    .ReadMsgBody {
      width: 100%; }

    .ExternalClass {
      width: 100%; }

    /* Force Hotmail to display emails at full width */
    .ExternalClass, .ExternalClass p, .ExternalClass span, .ExternalClass font, .ExternalClass td, .ExternalClass div {
      line-height: 100%; }

    /* Force Hotmail to display normal line spacing */
    body, table, td, p, a, li, blockquote {
      -webkit-text-size-adjust: 100%;
      -ms-text-size-adjust: 100%; }

    /* Prevent WebKit and Windows mobile changing default text sizes */
    table, td {
      mso-table-lspace: 0pt;
      mso-table-rspace: 0pt; }

    /* Remove spacing between tables in Outlook 2007 and up */
    img {
      -ms-interpolation-mode: bicubic; }

    /* Allow smoother rendering of resized image in Internet Explorer */
    /* /\/\/\/\/\/\/\/\/ RESET STYLES /\/\/\/\/\/\/\/\/ */
    body {
      margin: 0;
      padding: 0; }

    img {
      border: 0;
      height: auto;
      line-height: 100%;
      outline: none;
      text-decoration: none; }

    /* -------------------------------------
    GLOBAL
    A very basic CSS reset
    ------------------------------------- */
    body, body * {
      margin: 0;
      padding: 0;
      box-sizing: border-box; }

    img {
      max-width: 100%;
      height: auto; }

    html, body {
      font-size: 16px;
      font-family: "Helvetica Neue", "Helvetica", Helvetica, Arial, sans-serif; }

    body {
      -webkit-font-smoothing: antialiased;
      -webkit-text-size-adjust: none;
      width: 100% !important;
      height: 100% !important;
      line-height: 1.6;
      color: #777; }

    /* Let's make sure all tables have defaults */
    table td {
      vertical-align: top; }
    table {
      border-spacing: 0;
    }
    .hr {
      display: block;
      position: relative;
      padding: 0;
      margin: 8px auto;
      height: 0;
      width: 100%;
      max-height: 0;
      font-size: 1px;
      line-height: 0;
      clear: both;
      border: none;
      border-top: 1px solid #ccc; }

    /* -------------------------------------
    BODY & CONTAINER
    ------------------------------------- */
    body {
      background-color: #f6f6f6; }
    body.theme--dark {
      background-color: #10202B; }

    .body-wrap {
      background-color: #f6f6f6;
      width: 100%; }
    .theme--dark .body-wrap {
      background-color: #10202B;
      color: #fff; }

    .container {
      display: block !important;
      max-width: 600px !important;
      margin: 0 auto !important;
      /* makes it centered */
      clear: both !important; }

    .content {
      max-width: 600px;
      margin: 0 auto;
      display: block;
      padding: 20px; }

    .hero {
      background-color: #f6f6f6;
      padding-top: 40px; }

    /* -------------------------------------
    HEADER, FOOTER, MAIN
    ------------------------------------- */
    .main {
      background: #fff;
      border: 1px solid #e9e9e9;
      border-radius: 3px; }

    .content-wrap {
      padding: 20px; }

    .content-block {
      padding: 0 0 20px; }

    .header {
      width: 100%;
      margin-bottom: 20px; }

    /*  FOOTER
    Contains footer content, including address and unsubscribe links.
    */
    .footer {
      color: #939598;
      padding: 30px 0;
    }
    .footer p, .footer p a {
      font-size: 12px;
      color: #939598;
    }
    p.address {
      margin-bottom: 6px;
    }
    .social-media-logos a {
      margin: 0 4px 0;
    }

    /* -------------------------------------
    TYPOGRAPHY
    ------------------------------------- */
    h1, h2, h3 {
      font-family: "Helvetica Neue", Helvetica, Arial, "Lucida Grande", sans-serif;
      color: #204056;
      line-height: 1.1;
      font-weight: 400; }
    .theme--dark h1, .theme--dark h2, .theme--dark h3 {
      color: #fff; }

    .dark-text {
      color: #204056;
    }

    h1, .text-size--1 {
      font-size: 32px;
      font-weight: 500; }

    h2, .text-size--2 {
      font-size: 24px; }

    h3, .text-size--3 {
      font-size: 18px; }

    h4, .text-size--4 {
      font-size: 14px;
      font-weight: 600; }
    h5, .text-size--5 {
      font-size: 13px;
      font-weight: 600; }
    h6, .text-size--6 {
      font-size: 12px;
      font-weight: 600; }

    ul {
      list-style: square outside none; }

    p, ul, ol {
      margin-bottom: 13.33333px;
      font-weight: normal;
      line-height: 1.6;
      font-size: 16px;
      color: #1F3F58;
    }

    p li, ul li, ol li {
      margin-left: 5px;
      list-style-position: inside; }

    /* -------------------------------------
    LINKS & BUTTONS
    ------------------------------------- */
    a {
      color: <?php echo wpep_get_setting( 'wpep-custom-color'); ?>;
      text-decoration: none;
    }

    /* -------------------------------------
    OTHER STYLES THAT MIGHT BE USEFUL
    ------------------------------------- */
    .last {
      margin-bottom: 0; }

    .first {
      margin-top: 0; }

    .aligncenter {
      text-align: center; }

    .alignleft {
      text-align: left; }

    .clear {
      clear: both; }

    /* -------------------------------------
    RESPONSIVE STYLES
    ------------------------------------- */
    @media only screen and (max-width: 640px) {
      body, table, td, p, a, li, blockquote {
        -webkit-text-size-adjust: none !important; }
      /* Prevent Webkit platforms from changing default text sizes */
      body {
        width: 100% !important;
        min-width: 100% !important; }
      /* Prevent iOS Mail from adding padding to the body */
      h1, h2, h3, h4 {
        font-weight: 600 !important;
        margin: 20px 0 5px !important; }
      h1 {
        font-size: 22px !important; }
      h2 {
        font-size: 18px !important; }
      h3 {
        font-size: 16px !important; }
      .container {
        width: 100% !important; }
      .content, .content-wrapper {
        padding: 10px !important; }

      @media only screen and (max-width: 550px) {

        .main {
          border: none; }

        .pro-content {
          background-color: #ffffff;
          padding: 40px; }

        .pro-content, .pro-content p {
          color: #4a4a4c; }

        .pro-divider {
          border-top: 1px solid #e6e7e8;
          padding-top: 30px; }

        h1, h2, h3 {
          color: #939598;
        }

        h3 {
          font-size: 16px;
          padding-bottom: 25px;
          padding-top: 8px; }

        h4 {
          color: #34b3a0;
        }

        .feature-img {
          border: 1px solid #e6e7e8;
          border-radius: 4px; }

        .feature p {
          margin-bottom: 30px; }

        .alignleft {
          text-align: left; }

        .table-padding {
          padding-left: 20px;
          padding-right: 20px;
        }
  </style>
</head>

<body style="-webkit-text-size-adjust: none; -ms-text-size-adjust: 100%; box-sizing: border-box; font-size: 14px; font-family: 'Helvetica Neue', 'Helvetica', Helvetica, Arial, sans-serif; -webkit-font-smoothing: antialiased; width: 100% !important; height: 100% !important; line-height: 1.6; color: #777; background: #f6f6f6; margin: 0; padding: 0;"
      bgcolor="#f6f6f6">
<table class="body-wrap" style="-webkit-text-size-adjust: 100%; -ms-text-size-adjust: 100%; mso-table-lspace: 0pt; mso-table-rspace: 0pt; box-sizing: border-box; border-spacing: 0; width: 100%; background: #f6f6f6; margin: 0; padding: 0;" bgcolor="#f6f6f6">
  <tr style="box-sizing: border-box; margin: 0; padding: 0;">
    <td style="-webkit-text-size-adjust: 100%; -ms-text-size-adjust: 100%; mso-table-lspace: 0pt; mso-table-rspace: 0pt; box-sizing: border-box; vertical-align: top; margin: 0; padding: 0;" valign="top"></td>
    <td class="container" width="600" style="-webkit-text-size-adjust: 100%; -ms-text-size-adjust: 100%; mso-table-lspace: 0pt; mso-table-rspace: 0pt; box-sizing: border-box; vertical-align: top; display: block !important; max-width: 600px !important; clear: both !important; margin: 0 auto; padding: 0;"
        valign="top">
      <div class="content" style="box-sizing: border-box; max-width: 600px; display: block; margin: 0 auto; padding: 20px;">
        <table class="table-padding main" width="100%" cellpadding="0" cellspacing="0" style="-webkit-text-size-adjust: 100%; -ms-text-size-adjust: 100%; mso-table-lspace: 0pt; mso-table-rspace: 0pt; box-sizing: border-box; border-spacing: 0; border-radius: 3px; background: #fff; margin: 0; padding: 0 20px; border: 1px none #e9e9e9;"
               bgcolor="#fff">
          <tr style="box-sizing: border-box; margin: 0; padding: 0;">
            <td style="-webkit-text-size-adjust: 100%; -ms-text-size-adjust: 100%; mso-table-lspace: 0pt; mso-table-rspace: 0pt; box-sizing: border-box; vertical-align: top; margin: 0; padding: 0;" valign="top">
              <table width="100%" cellpadding="0" cellspacing="0" style="-webkit-text-size-adjust: 100%; -ms-text-size-adjust: 100%; mso-table-lspace: 0pt; mso-table-rspace: 0pt; box-sizing: border-box; border-spacing: 0; margin: 0; padding: 0;">
                <?php if( isset( $email_logo ) && $email_logo != '' ) : ?>
                <tr style="box-sizing: border-box; margin: 0; padding: 0;">
                  <td class="hero aligncenter pro-content" align="center" style="-webkit-text-size-adjust: 100%; -ms-text-size-adjust: 100%; mso-table-lspace: 0pt; mso-table-rspace: 0pt; box-sizing: border-box; vertical-align: top; text-align: center; color: #4a4a4c; background: #ffffff; margin: 0; padding: 40px;"
                      bgcolor="#ffffff" valign="top">
                      <a href="<?php echo site_url(); ?>" style="-webkit-text-size-adjust: 100%; -ms-text-size-adjust: 100%; box-sizing: border-box; color: #34B3A0; text-decoration: none; margin: 0; padding: 0;">
                        <?php echo '<img src="' . esc_url( $email_logo ) . '" alt="' . $email_title . '" class="smaller-logo" style="-ms-interpolation-mode: bicubic; height: auto; line-height: 100%; outline: none; text-decoration: none; box-sizing: border-box; max-width: 100%; margin: 0; padding: 0; border: 0;">'; ?>
                      </a>
                  </td>
                </tr>
                <?php endif; ?>
                <tr style="box-sizing: border-box; margin: 0; padding: 0;">
                  <td class="pro-content pro-divider" style="-webkit-text-size-adjust: 100%; -ms-text-size-adjust: 100%; mso-table-lspace: 0pt; mso-table-rspace: 0pt; box-sizing: border-box; vertical-align: top; color: #4a4a4c; border-top-width: 1px; border-top-color: #e6e7e8; background: #ffffff; margin: 0; padding: 0px 40px 30px; border: none;"
                      bgcolor="#ffffff" valign="top">
                    <?php echo $email_content; ?>
                  </td>
                </tr>
              </table>
            </td>
          </tr>
        </table>
        <table class="footer container" width="560" style="-webkit-text-size-adjust: 100%; -ms-text-size-adjust: 100%; mso-table-lspace: 0pt; mso-table-rspace: 0pt; box-sizing: border-box; border-spacing: 0; display: block !important; max-width: 260px !important; clear: both !important; color: #939598; margin: 0 auto; padding: 30px 0;">
            <tr style="box-sizing: border-box; margin: 0; padding: 0;">
                <td class="aligncenter container" width="560" style="-webkit-text-size-adjust: 100%; -ms-text-size-adjust: 100%; mso-table-lspace: 0pt; mso-table-rspace: 0pt; box-sizing: border-box; vertical-align: top; display: block !important; max-width: 260px !important; clear: both !important; text-align: center; margin: 0 auto; padding: 0;"
                    align="center" valign="top">
                    <p class="address" style="-webkit-text-size-adjust: 100%; -ms-text-size-adjust: 100%; box-sizing: border-box; font-size: 12px; color: #939598; font-weight: normal; line-height: 1.6; margin: 0 0 6px; padding: 0;">
                      <?php echo wpep_get_setting( 'email-company-name' ); ?>
<br style="box-sizing: border-box; margin: 0; padding: 0;"><?php echo wpep_get_setting( 'email-company-address' ); ?></p>
                </td>
            </tr>
            <tr style="box-sizing: border-box; margin: 0; padding: 0;">
                <td class="aligncenter container" style="-webkit-text-size-adjust: 100%; -ms-text-size-adjust: 100%; mso-table-lspace: 0pt; mso-table-rspace: 0pt; box-sizing: border-box; vertical-align: top; display: block !important; max-width: 260px !important; clear: both !important; text-align: center; margin: 0 auto; padding: 0;"
                    align="center" valign="top">
                    <p class="unsubscribe" style="-webkit-text-size-adjust: 100%; -ms-text-size-adjust: 100%; box-sizing: border-box; font-size: 12px; color: #939598; font-weight: normal; line-height: 1.6; margin: 0 0 13.33333px; padding: 20px 0 0;">
                      <?php echo wpep_get_setting( 'email-copyright-text' ); ?>
</p>
                </td>
            </tr>
        </table>
    </div>
                </td>
                <td style="-webkit-text-size-adjust: 100%; -ms-text-size-adjust: 100%; mso-table-lspace: 0pt; mso-table-rspace: 0pt; box-sizing: border-box; vertical-align: top; margin: 0; padding: 0;" valign="top"></td>
            </tr>
        </table>
    </body>

</html>