<?php
$location = get_user_meta( $user_information->ID, WPEP_USER_LOCATION_META, true );
$user_social_networks = get_user_meta( $user_information->ID, WPEP_USER_META_SOCIAL_NETWORK_PROFILES, true );
$user_social_networks = ( is_array( $user_social_networks ) ? $user_social_networks : [] );
?>

<div class="header-user-profile-information-container">
  <h2 class="user-name wpep-edit-closed">
    <?php echo wpep_content_user_profile_format_name( $user_information );?>
  </h2>

  <?php do_action( 'wpep_user_profile_information_section_before', $user_information, $can_edit ); ?>

  <?php if( $can_edit ) : ?>
    <span class="user-name-edit-icon wpep-edit-trigger-open wpep-edit-closed">&nbsp;</span>
  <?php endif; ?>
  <?php if( $can_edit ) : ?>
    <p class="user-first-name wpep-edit-open">
      <input type="text"
             name="wpep_user_first_name"
             value="<?php echo $user_information->first_name; ?>"
             placeholder="<?php echo wpep_get_setting_translated( 'user-auth-field-first-name' );?>"/>
    </p>
    <p class="user-last-name wpep-edit-open">
      <input type="text"
             name="wpep_user_last_name"
             value="<?php echo $user_information->last_name; ?>"
             placeholder="<?php echo wpep_get_setting_translated( 'user-auth-field-last-name' );?>"/>
    </p>
  <?php endif; ?>

  <?php if( $can_edit && wpep_has_sid_support() ) : ?>
    <p class="user-sid">
      <input type="text"
             name="wpep_user_student_identification"
             value="<?php echo get_user_meta( $user_information->ID, WPEP_USER_META_STUDENT_IDENTIFICATION, true ); ?>"
             placeholder="<?php echo wpep_get_setting_translated( 'user-auth-field-sid' ); ?>"/>
    </p>
  <?php endif; ?>

  <?php if( $can_edit || $location != '' ) : ?>
    <p class="user-location">
      <?php if( $can_edit ) : ?>
        <input type="text" name="wpep_user_location" value="<?php echo $location; ?>" placeholder="<?php echo wpep_get_setting_translated( 'user-auth-field-location' ); ?>"/>
      <?php else : ?>
        <span><?php echo $location; ?></span>
      <?php endif; ?>
    </p>
  <?php endif; ?>

  <?php if( $can_edit || $user_information->user_url != '' ) : ?>
    <p class="user-website">
      <?php if( $can_edit ) : ?>
        <input type="text" name="wpep_user_url" value="<?php echo $user_information->user_url; ?>" placeholder="<?php echo wpep_get_setting_translated( 'user-auth-field-website' ); ?>"/>
      <?php else : ?>
        <a href="<?php echo $user_information->user_url; ?>" target="_blank" rel="nofollow"><?php echo $user_information->user_url; ?></a>
      <?php endif; ?>
    </p>
  <?php endif; ?>

  <?php if( wpep_get_setting_flag( 'user-profile-course-public-email-address' ) || $can_edit ) : ?>
    <p class="user-email"><span><?php echo $user_information->user_email; ?></span></p>
  <?php endif; ?>

  <?php if( $can_edit ) : ?>
    <?php foreach( wpep_user_profile_social_network_platform_list_active() as $social_network_key => $social_network_information ) : ?>
    <?php $current_link = ( isset( $user_social_networks[ $social_network_key ] ) ? $user_social_networks[ $social_network_key ] : '' ); ?>
      <p class="user-social-media-network <?php echo $current_link === '' ? 'wpep-empty' : ''; ?>">
        <span class="<?php echo $social_network_information['icon']; ?>"></span>
        <input type="text"
               name="wpep_user_social_network[<?php echo $social_network_key; ?>]"
               value="<?php echo $current_link; ?>"
               placeholder="<?php echo $social_network_information['name']; ?>"
        />
      </p>
    <?php endforeach; ?>
  <?php else: ?>
    <?php foreach( wpep_user_profile_social_network_platform_list_active() as $social_network_key => $social_network_information ) : ?>
      <?php $current_value = ( isset( $user_social_networks[ $social_network_key ] ) ? $user_social_networks[ $social_network_key ] : '' ); ?>
      <?php if( $current_value === '' ) continue; ?>
      <p class="user-social-media-network">
        <span class="<?php echo $social_network_information['icon']; ?>"></span>
        <?php if( isset( $social_network_information['type'] ) && $social_network_information['type'] === 'link' ) : ?>
          <a href="<?php echo $current_value; ?>" target="_blank" rel="nofollow"><?php echo $current_value; ?></a>
        <?php else : ?>
          <span class="wpep-without-link"><?php echo $current_value; ?></span>
        <?php endif; ?>
      </p>
    <?php endforeach; ?>
  <?php endif; ?>

  <div class="wpep-user-profile-description">
    <?php if( $can_edit ) : ?>
      <textarea class="wpep-edit-open"
                name="wpep_user_description"
                placeholder="<?php echo wpep_get_setting_translated( 'user-auth-field-about-me' ); ?>"
      ><?php echo $user_information->description; ?></textarea>
    <?php endif; ?>
    <div class="wpep-edit-closed description"><?php echo make_clickable( get_the_author_meta('description', $user_information->ID ) ); ?></div>
  </div>

  <?php if( wpep_get_setting_flag( 'email-weekly-recap-status' ) && $can_edit ) : ?>
    <?php wpep_template_load( 'partial/user-profile-email-notification-options.php', [
        'user_information'  => $user_information
    ] ); ?>
  <?php endif; ?>

  <?php do_action( 'wpep_user_profile_information_section_after', $user_information, $can_edit ); ?>

  <?php if( $can_edit ) : ?>
    <button class="button wpep-edit-open"><?php echo wpep_get_setting_translated( 'user-profile-update-button' ); ?></button>
  <?php endif; ?>
</div>
