<?php
/**
 * Plugin Name: WPEP
 * Plugin URI: https://growlearnteach.com
 * Description: A Plugin that enables you to turn your WordPress Site into a learning management system in a blink of an eye.
 * Version: 1.10.10
 * Author: Grow Learn Teach
 * Author URI: https://growlearnteach.com
 * Text Domain:wpep
 * Domain Path: /lib/languages/
 * License: GNU General Public License
 * License URI: http://www.gnu.org/licenses/gpl-2.0.txt
 */

if( !defined( 'WPEP_VERSION' ) )
  define( "WPEP_VERSION", '1.10.10' );
if( !defined( 'WPEP_BASE_FILE_PATH' ) )
  define( "WPEP_BASE_FILE_PATH", __FILE__ );
if( !defined( 'WPEP_BASE_PATH' ) )
  define( "WPEP_BASE_PATH", dirname( WPEP_BASE_FILE_PATH ) );
if( !defined( 'WPEP_BASE_URL_PATH' ) )
  define( "WPEP_BASE_URL_PATH", plugin_dir_url( WPEP_BASE_FILE_PATH ) );
if( !defined( 'WPEP_PLUGIN_IDENTIFIER' ) )
  define( "WPEP_PLUGIN_IDENTIFIER", ltrim( str_ireplace( dirname( WPEP_BASE_PATH ), '', WPEP_BASE_FILE_PATH ), '/' ) );

require_once WPEP_BASE_PATH . "/autoload.php";
require_once WPEP_BASE_PATH . "/lib/definitions.php";
require_once WPEP_BASE_PATH . "/lib/integrations/AddOn.php";
require_once WPEP_BASE_PATH . "/lib/integrations/AddOn_Settings.php";
require_once WPEP_BASE_PATH . "/lib/integrations/Content_Library.php";
require_once WPEP_BASE_PATH . "/lib/integrations/Email_Marketing.php";
require_once WPEP_BASE_PATH . "/lib/integrations/License_And_Updates.php";
require_once WPEP_BASE_PATH . "/lib/integrations/Post_Comments.php";
require_once WPEP_BASE_PATH . "/lib/CronController.php";

wp_oembed_add_provider(
  '/https?\:\/\/(.+)?(wistia\.com|wi\.st)\/.*/',
  'https://fast.wistia.com/oembed',
  true
);

WPEP\Controller::instance()->setup();

require_once WPEP_BASE_PATH . "/lib/deprecated.php";